curl "https://api.scanova.io/user-logs/activity-feed/?event_type=qr_created,login" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 91422,
"event_type": "qr_created",
"actor_user": 17,
"actor_email": "member@scanova.io",
"target_object_type": "qrcode",
"target_object_id": "3390",
"target_repr": "Summer Menu QR",
"occurred_at": "2026-09-05T11:04:22Z"
}
]
}
用户日志与活动
列出精选活动动态事件
GET /user-logs/activity-feed/
GET
/
user-logs
/
activity-feed
/
curl "https://api.scanova.io/user-logs/activity-feed/?event_type=qr_created,login" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 91422,
"event_type": "qr_created",
"actor_user": 17,
"actor_email": "member@scanova.io",
"target_object_type": "qrcode",
"target_object_id": "3390",
"target_repr": "Summer Menu QR",
"occurred_at": "2026-09-05T11:04:22Z"
}
]
}
在管理 API 主机 (
当账户所有者执行操作时,
api.scanova.io) 上列出账户经过筛选整理的活动事件,使用您的原始管理 API 密钥进行身份验证。
GET https://api.scanova.io/user-logs/activity-feed/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
以逗号分隔的要包含的事件类型:
qr_created、qr_updated、qr_deleted、login、shared_user_login、share_granted、share_revoked。integer
筛选由指定 id 的共享用户执行的事件。省略则同时包含账户所有者自己的事件。
string
仅包含此日期(含)之后的事件(
YYYY-MM-DD)。string
仅包含此日期(含)之前的事件(
YYYY-MM-DD)。string
在
target_repr(事件发生时受影响对象的显示名称)中搜索。string
按
occurred_at 排序 —— 前缀 - 表示降序。默认值为 -occurred_at。integer
页码。
integer
每页结果数,最多 100。
curl "https://api.scanova.io/user-logs/activity-feed/?event_type=qr_created,login" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 91422,
"event_type": "qr_created",
"actor_user": 17,
"actor_email": "member@scanova.io",
"target_object_type": "qrcode",
"target_object_id": "3390",
"target_repr": "Summer Menu QR",
"occurred_at": "2026-09-05T11:04:22Z"
}
]
}
actor_user 为 null;actor_email 始终有值,此时会回退为所有者的邮箱。
对于角色带有标签限制权限的共享用户,QR 类别事件(
qr_created、qr_updated、qr_deleted)仅限于打上该用户所分配标签的 QR 码(如果其角色包含未打标签的 QR 码,则也包含在内)。登录和共享事件从不进行标签限定。相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
查询参数
Comma-separated event types, e.g. qr_created,login.
Max 100.
响应
200 - application/json
Paginated feed of activity events.
此页面对您有帮助吗?